osgPresentation::SlideShowConstructor::ImageData Struct Reference

`#include <SlideShowConstructor>`

## Public Types

enum | ImageSequenceInteractionMode { PLAY_AUTOMATICALLY_LIKE_MOVIE , USE_MOUSE_X_POSITION , USE_MOUSE_Y_POSITION }
enum | BlendingHint { USE_IMAGE_ALPHA , OFF , ON }

## Public Member Functions

| ImageData ()

## Public Attributes

std::string | options
float | width
float | height
osg::Vec4 | region
bool | region_in_pixel_coords
float | texcoord_rotate
osg::ImageStream::LoopingMode | loopingMode
int | page
osg::Vec4 | backgroundColor
double | fps
double | duration
bool | imageSequence
osg::ImageSequence::Mode | imageSequencePagingMode
ImageSequenceInteractionMode | imageSequenceInteractionMode
BlendingHint | blendingHint
double | delayTime
double | startTime
double | stopTime
std::string | volume

## Member Enumeration Documentation

## BlendingHint

enum osgPresentation::SlideShowConstructor::ImageData::BlendingHint

Enumerator
USE_IMAGE_ALPHA |
OFF |
ON |

## ImageSequenceInteractionMode

enum osgPresentation::SlideShowConstructor::ImageData::ImageSequenceInteractionMode

Enumerator
PLAY_AUTOMATICALLY_LIKE_MOVIE |
USE_MOUSE_X_POSITION |
USE_MOUSE_Y_POSITION |

## Constructor & Destructor Documentation

## ImageData()

osgPresentation::SlideShowConstructor::ImageData::ImageData | ( |  | ) |

inline

References backgroundColor, blendingHint, delayTime, duration, fps, height, imageSequence, imageSequenceInteractionMode, imageSequencePagingMode, loopingMode, page, PLAY_AUTOMATICALLY_LIKE_MOVIE, region, region_in_pixel_coords, startTime, stopTime, texcoord_rotate, USE_IMAGE_ALPHA, volume, and width.

## Member Data Documentation

## backgroundColor

osg::Vec4 osgPresentation::SlideShowConstructor::ImageData::backgroundColor

Referenced by ImageData().

## blendingHint

BlendingHint osgPresentation::SlideShowConstructor::ImageData::blendingHint

Referenced by ImageData().

## delayTime

double osgPresentation::SlideShowConstructor::ImageData::delayTime

Referenced by ImageData().

## duration

double osgPresentation::SlideShowConstructor::ImageData::duration

Referenced by ImageData().

## fps

double osgPresentation::SlideShowConstructor::ImageData::fps

Referenced by ImageData().

## height

float osgPresentation::SlideShowConstructor::ImageData::height

Referenced by ImageData().

## imageSequence

bool osgPresentation::SlideShowConstructor::ImageData::imageSequence

Referenced by ImageData().

## imageSequenceInteractionMode

ImageSequenceInteractionMode osgPresentation::SlideShowConstructor::ImageData::imageSequenceInteractionMode

Referenced by ImageData().

## imageSequencePagingMode

osg::ImageSequence::Mode osgPresentation::SlideShowConstructor::ImageData::imageSequencePagingMode

Referenced by ImageData().

## loopingMode

osg::ImageStream::LoopingMode osgPresentation::SlideShowConstructor::ImageData::loopingMode

Referenced by ImageData().

## options

std::string osgPresentation::SlideShowConstructor::ImageData::options

## page

int osgPresentation::SlideShowConstructor::ImageData::page

Referenced by ImageData().

## region

osg::Vec4 osgPresentation::SlideShowConstructor::ImageData::region

Referenced by ImageData().

## region_in_pixel_coords

bool osgPresentation::SlideShowConstructor::ImageData::region_in_pixel_coords

Referenced by ImageData().

## startTime

double osgPresentation::SlideShowConstructor::ImageData::startTime

Referenced by ImageData().

## stopTime

double osgPresentation::SlideShowConstructor::ImageData::stopTime

Referenced by ImageData().

## texcoord_rotate

float osgPresentation::SlideShowConstructor::ImageData::texcoord_rotate

Referenced by ImageData().

## volume

std::string osgPresentation::SlideShowConstructor::ImageData::volume

Referenced by ImageData().

## width

float osgPresentation::SlideShowConstructor::ImageData::width

Referenced by ImageData().

The documentation for this struct was generated from the following file:

- SlideShowConstructor